Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Plugins

Notices

Reply
 
Thread Tools Search this Thread
Old 03-25-2020, 07:18 PM   #1
Rellwood
Library Breeder
Rellwood ought to be getting tired of karma fortunes by now.Rellwood ought to be getting tired of karma fortunes by now.Rellwood ought to be getting tired of karma fortunes by now.Rellwood ought to be getting tired of karma fortunes by now.Rellwood ought to be getting tired of karma fortunes by now.Rellwood ought to be getting tired of karma fortunes by now.Rellwood ought to be getting tired of karma fortunes by now.Rellwood ought to be getting tired of karma fortunes by now.Rellwood ought to be getting tired of karma fortunes by now.Rellwood ought to be getting tired of karma fortunes by now.Rellwood ought to be getting tired of karma fortunes by now.
 
Rellwood's Avatar
 
Posts: 619
Karma: 1900141
Join Date: Apr 2015
Location: Fullerton, California
Device: Kobo Aura HD (1) PW3 (4) PW3 2019 new edition (1)
Plugin Developers, a request

Is it possible for you to keep available your plugins versions that were last updated before moving to Python 3 or the most recent Calibre updates that will run on Calibre 4.7?

I understand you are all updating but I still use 4.7 as well as the most recent version (I keep 4.7 in 32bit and the latest in 64bit). I want to make sure I have the most recent versions that will work with the older Calibre to put aside when I switch between the two. If I keep using plugin update I lose those older versions and I don't know if the newest updates will work with the older Calibre.

I hope that makes sense.

Also, the reason I keep the older version is because a certain plugins' updated version doesn't run on the older Calibre, and the newest update (of the plugin) has some problems with my system causing it to run at exceedingly slow speeds. It seems to only happen on my computer and it's not a problem for others. I tried bringing it up, but nothing has been changed. So I keep the older Calibre just to run that plugin.

Last edited by Rellwood; 03-25-2020 at 07:21 PM.
Rellwood is offline   Reply With Quote
Old 03-25-2020, 10:01 PM   #2
davidfor
Grand Sorcerer
davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.davidfor ought to be getting tired of karma fortunes by now.
 
Posts: 18,605
Karma: 30757200
Join Date: Jul 2011
Location: Sydney, Australia
Device: Kobo:Touch,Glo, AuraH2O, GloHD,AuraONE, ClaraHD, Libra H2O; tolinoepos
Quote:
Originally Posted by Rellwood View Post
Also, the reason I keep the older version is because a certain plugins' updated version doesn't run on the older Calibre, and the newest update (of the plugin) has some problems with my system causing it to run at exceedingly slow speeds. It seems to only happen on my computer and it's not a problem for others. I tried bringing it up, but nothing has been changed. So I keep the older Calibre just to run that plugin.
And nothing will be done until you actually show me what and where the problem is. As you have never bothered to actually state what function of the plugin is slow or what part of that function is the issue, I have never been able to even think about what to look at. Hell, all you really need to do is run calibe in debug mode with each version of the plugin, run the function an post the logs.
davidfor is online now   Reply With Quote
Advert
Old 03-26-2020, 08:16 AM   #3
DiapDealer
Grand Sorcerer
DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.DiapDealer ought to be getting tired of karma fortunes by now.
 
DiapDealer's Avatar
 
Posts: 21,982
Karma: 122040722
Join Date: Jan 2010
Device: Nexus 7, Kindle Fire HD
All versions of my plugins are preserved on github. But having said that, they all have been updated to work with the versions of calibre they've always worked with AND the latest python3 versions of Calibre. One size fits all. I've been writing polyglot python for several years now, so it's second nature for me to keep things compatible with both py2/py3 as well as pyqt4/pyqt5. Brand new plugins probably won't support the old, but as long as it's trivial for me to maintain support for the older versions of calibre in my existing plugins, I'll do so.
DiapDealer is offline   Reply With Quote
Old 03-26-2020, 09:10 AM   #4
theducks
Well trained by Cats
theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.
 
theducks's Avatar
 
Posts: 24,796
Karma: 34257999
Join Date: Aug 2009
Location: The Central Coast of California
Device: K4NT(Fixed,New Bat.), Galaxy Tab A, Kobo Aura2
@rellwood
You can always forgo the automatic installer (beta testers do this)

Download from the selected Plugins forum thread. ( I add the release # to the end of the file name in my archive the PI folder ) , That way I have previous versions (I do delete those that have Known issues, so I don't ever try those again)

You do it the old way (before Get Plugins era)
Preferences:Plugins: Load from File (a button, lower right) If downgrading a previous, find and select from the Installed List: Click the Remove Plugin (button)
I prefer to restart Calibre, before installing a lower version, just to have a clean slate.
theducks is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
How responsive is Kobo developers to request for minor improvement ? nkluan Kobo Reader 4 08-01-2019 07:51 AM
Request: New audiobook plugin Nate the great Plugins 1 04-30-2017 04:43 PM
Attn plugin developers: calibre moving to Qt 5 kovidgoyal Plugins 157 01-01-2015 11:22 PM
calibre-plugins.com: A resource for plugin developers GRiker Development 2 11-19-2014 03:52 PM
Plugin Request for MondoUrania.com stragnagn Plugins 3 10-27-2013 01:50 PM


All times are GMT -4. The time now is 10:31 AM.


MobileRead.com is a privately owned, operated and funded community.